Get signal
curl --request GET \
--url https://api.apostra.com/api/v2/storefront/signals/{signalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/storefront/signals/{signalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/storefront/signals/{signalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signal": {
"id": 0,
"signalId": "<string>",
"adcpAgentId": 0,
"name": "<string>",
"description": "<string>",
"keyType": [
"country"
],
"countries": [
"<string>"
],
"metadata": {},
"isLive": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"access": [
{
"id": 0,
"signalId": 0,
"advertiserId": 123,
"visibility": "PUBLIC",
"price": {
"pricing_option_id": "<string>",
"model": "cpm",
"cpm": 1,
"currency": "<string>",
"applies_to_output_format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"duration_ms": 2,
"pixel_ratio": 1
}
],
"applies_to_output_capability_ids": [
"<string>"
],
"ext": {}
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Signals
Get signal
Get a signal by its identifier, including access records.
GET
/
signals
/
{signalId}
Get signal
curl --request GET \
--url https://api.apostra.com/api/v2/storefront/signals/{signalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/storefront/signals/{signalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/storefront/signals/{signalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signal": {
"id": 0,
"signalId": "<string>",
"adcpAgentId": 0,
"name": "<string>",
"description": "<string>",
"keyType": [
"country"
],
"countries": [
"<string>"
],
"metadata": {},
"isLive": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"access": [
{
"id": 0,
"signalId": 0,
"advertiserId": 123,
"visibility": "PUBLIC",
"price": {
"pricing_option_id": "<string>",
"model": "cpm",
"cpm": 1,
"currency": "<string>",
"applies_to_output_format_ids": [
{
"agent_url": "<string>",
"id": "<string>",
"width": 4503599627370496,
"height": 4503599627370496,
"duration_ms": 2,
"pixel_ratio": 1
}
],
"applies_to_output_capability_ids": [
"<string>"
],
"ext": {}
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}